Spectra
=======
[![Build Status](https://travis-ci.org/aakpat6/spectra.png?branch=master)](https://travis-ci.org/aakpat6/spectra)
[![Coverage Status](https://coveralls.io/repos/aakpat6/spectra/badge.png?branch=master)](https://coveralls.io/r/aakpat6/spectra?branch=master)
[![Dependency Status](https://gemnasium.com/aakpat6/spectra.png)](https://gemnasium.com/aakpat6/spectra)
[![NPM version](https://badge.fury.io/js/spectra.png)](http://badge.fury.io/js/spectra)
[![Stories in Ready](https://badge.waffle.io/aakpat6/spectra.png?label=ready)](https://waffle.io/aakpat6/spectra)
![GA Beacon](https://ga-beacon.appspot.com/UA-46742689-1/aakpat6/spectra?pixel)


A small Javascript library for quickly manipulating and converting colors.

[![NPM](https://nodei.co/npm/spectra.png?downloads=true&stars=true)](https://npmjs.org/package/spectra)

Example
-------

Spectra can be wrapped around many different types of objects to create a Spectra color that can be manipulated.

```javascript
var color = Spectra({r: 255, g: 25, b: 75});
color.red() // 255
```

Motivation
----------

The project was created to have a highly functional and lightweight way to deal with colors using Javascript, without any dependencies.

Installation
------------

Simply download [spectra.min.js](https://github.com/aakpat6/spectra/releases/) and include it before your source files.

### Bower

The bower package is at `spectra-color`.

    bower install spectra-color

### Node

This module also works with Node. Simply run `npm install spectra` and use `var Spectra = require('spectra')` to set it up.

API Reference
-------------

Refer to http://aakpat6.github.io/spectra for reference on how to use Spectra.

Tests
-----

There are [Jasmine](https://pivotal.github.io/jasmine) tests included in the `tests` folder. Simply run `grunt test` from the root of the repository to run the tests. This also checks JSHint. Alternatively, run `grunt` to keep watch over source and test files, and automatically rerun the tests when the files change.

### Coverage

Test coverage information can be generated by running `grunt karma`. Coverage information will be located in `test/coverage` after generation.

Building
--------

To minify Spectra, run `grunt build`.

Contributing
------------

To develop for this project, you should first install [Node.js](http://nodejs.org/), which includes the Node Package Manager. Running `npm install` will install any necessary packages.

You should also install [Grunt](http://gruntjs.com/) by running `npm install -g grunt-cli`.

Take care to maintain the existing code style. Make sure to add tests in the `test/tester.js` file for any new features that you add. Make sure to run `grunt test` before submitting.

**Any code that doesn't pass the build will not be accepted.**

Files should all have a newline at the end of them, for consistency.
